Bug 1152807 - Changing metrics aggregation settings should not require server restart [NEEDINFO]
Summary: Changing metrics aggregation settings should not require server restart
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server, Storage Node
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER05
: JON 3.3.0
Assignee: John Sanda
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-15 02:10 UTC by John Sanda
Modified: 2015-09-03 00:03 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:00:28 UTC
ahovsepy: needinfo? (jsanda)


Attachments (Terms of Use)

Description John Sanda 2014-10-15 02:10:04 UTC
Description of problem:
The settings exposed for tuning metrics aggregation performance all require a server restart to take effect. That was not the original intent. If changes are applied as a resource configuration update on the RHQ Server --> Measurement Subsystem resource, then they should not require a server restart.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 John Sanda 2014-10-15 18:01:29 UTC
Changes have been pushed to the release/jon3.3.x branch.

commit hash: 4d3c80159a

Changing the batch size or parallelism properties will take effect during the next run of the DataCalcJob instead of immediately so as not to interfere with allocation permits of an in-progress job. Changing the number of workers takes effect immediately.

Comment 2 Simeon Pinder 2014-10-21 20:24:31 UTC
Moving to ON_QA as available to test with the latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=394734


Note You need to log in before you can comment on or make changes to this bug.